Package org.eclipse.debug.ui.contexts

# Interface IDebugContextService

public interface IDebugContextService
Debug context service for a window. Clients may register for debug context notification with this service. A context service is obtained from the debug context manager.

Since:
  3.3
See Also:
  - `IDebugContextManager`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addDebugContextListener(IDebugContextListener listener)`
Registers for the given listener for debug context change notification in this service's window.
`void`
`addDebugContextListener(IDebugContextListener listener, String partId)`
Registers for the given debug context listener for context notification from the specified part in this service's window.
`void`
`addDebugContextListener(IDebugContextListener listener, String partId, String partSecondaryId)`
Registers for the given debug context listener for context notification from the specified part in this service's window.
`void`
`addDebugContextProvider(IDebugContextProvider provider)`
Registers the given debug context provider with this service.
`void`
`addPostDebugContextListener(IDebugContextListener listener)`
Registers the given debug context listener for post context change notification in this service's window.
`void`
`addPostDebugContextListener(IDebugContextListener listener, String partId)`
Registers the given debug context listener for post context change notification in the specified part of this service's window.
`void`
`addPostDebugContextListener(IDebugContextListener listener, String partId, String partSecondaryId)`
Registers the given debug context listener for post context change notification in the specified part of this service's window.
`ISelection`
`getActiveContext()`
Returns the active context in this service's window or `null`.
`ISelection`
`getActiveContext(String partId)`
Returns the active context in the specified part of this service's window or `null` if none.
`ISelection`
`getActiveContext(String partId, String partSecondaryId)`
Returns the active context in the specified part of this service's window or `null` if none.
`void`
`removeDebugContextListener(IDebugContextListener listener)`
Unregisters for the given listener for debug context change notification in this service's window.
`void`
`removeDebugContextListener(IDebugContextListener listener, String partId)`
Unregisters the given debug context listener for context change notification from the specified part in this service's window.
`void`
`removeDebugContextListener(IDebugContextListener listener, String partId, String partSecondaryId)`
Unregisters the given debug context listener for context change notification from the specified part in this service's window.
`void`
`removeDebugContextProvider(IDebugContextProvider provider)`
Unregisters the given debug context provider from this service.
`void`
`removePostDebugContextListener(IDebugContextListener listener)`
Unregisters the given debug context listener for post context change notification in this service's window.
`void`
`removePostDebugContextListener(IDebugContextListener listener, String partId)`
Unregisters the given debug context listener for post context change notification in the specified part of this service's window.
`void`
`removePostDebugContextListener(IDebugContextListener listener, String partId, String partSecondaryId)`
Unregisters the given debug context listener for post context change notification in the specified part of this service's window.

## Method Details

### addDebugContextListener

void addDebugContextListener(IDebugContextListener listener)
Registers for the given listener for debug context change notification in this service's window.

Parameters:
  `listener` - debug context listener

### removeDebugContextListener

void removeDebugContextListener(IDebugContextListener listener)
Unregisters for the given listener for debug context change notification in this service's window.

Parameters:
  `listener` - debug context listener

### addDebugContextListener

void addDebugContextListener(IDebugContextListener listener, String partId)
Registers for the given debug context listener for context notification from the specified part in this service's window.

Parameters:
  `listener` - debug context listener
  `partId` - part identifier

### removeDebugContextListener

void removeDebugContextListener(IDebugContextListener listener, String partId)
Unregisters the given debug context listener for context change notification from the specified part in this service's window.

Parameters:
  `listener` - debug context listener
  `partId` - part identifier

### getActiveContext

ISelection getActiveContext()
Returns the active context in this service's window or `null`.

Returns:
  active context or `null`

### getActiveContext

ISelection getActiveContext(String partId)
Returns the active context in the specified part of this service's window or `null` if none.

Parameters:
  `partId` - part identifier
Returns:
  active context or `null`

### addPostDebugContextListener

void addPostDebugContextListener(IDebugContextListener listener)
Registers the given debug context listener for post context change notification in this service's window. Post listeners are notified of context changes after all non-post listeners are notified.

Parameters:
  `listener` - debug context listener

### removePostDebugContextListener

void removePostDebugContextListener(IDebugContextListener listener)
Unregisters the given debug context listener for post context change notification in this service's window.

Parameters:
  `listener` - debug context listener.

### addPostDebugContextListener

void addPostDebugContextListener(IDebugContextListener listener, String partId)
Registers the given debug context listener for post context change notification in the specified part of this service's window. Post listeners are notified of context changes after all non-post listeners are notified.

Parameters:
  `listener` - debug context listener
  `partId` - part identifier

### removePostDebugContextListener

void removePostDebugContextListener(IDebugContextListener listener, String partId)
Unregisters the given debug context listener for post context change notification in the specified part of this service's window.

Parameters:
  `listener` - debug context listener
  `partId` - part identifier

### addDebugContextProvider

void addDebugContextProvider(IDebugContextProvider provider)
Registers the given debug context provider with this service.

Parameters:
  `provider` - debug context provider

### removeDebugContextProvider

void removeDebugContextProvider(IDebugContextProvider provider)
Unregisters the given debug context provider from this service.

Parameters:
  `provider` - debug context provider

### getActiveContext

ISelection getActiveContext(String partId, String partSecondaryId)
Returns the active context in the specified part of this service's window or `null` if none.

Parameters:
  `partId` - part identifier
  `partSecondaryId` - part secondary identifier
Returns:
  active context or `null`
Since:
  3.7

### addDebugContextListener

void addDebugContextListener(IDebugContextListener listener, String partId, String partSecondaryId)
Registers for the given debug context listener for context notification from the specified part in this service's window.

Parameters:
  `listener` - debug context listener
  `partId` - part identifier
  `partSecondaryId` - part secondary identifier
Since:
  3.7

### removeDebugContextListener

void removeDebugContextListener(IDebugContextListener listener, String partId, String partSecondaryId)
Unregisters the given debug context listener for context change notification from the specified part in this service's window.

Parameters:
  `listener` - debug context listener
  `partId` - part identifier
  `partSecondaryId` - part secondary identifier
Since:
  3.7

### addPostDebugContextListener

void addPostDebugContextListener(IDebugContextListener listener, String partId, String partSecondaryId)
Registers the given debug context listener for post context change notification in the specified part of this service's window. Post listeners are notified of context changes after all non-post listeners are notified.

Parameters:
  `listener` - debug context listener
  `partId` - part identifier
  `partSecondaryId` - part secondary identifier
Since:
  3.7

### removePostDebugContextListener

void removePostDebugContextListener(IDebugContextListener listener, String partId, String partSecondaryId)
Unregisters the given debug context listener for post context change notification in the specified part of this service's window.

Parameters:
  `listener` - debug context listener
  `partId` - part identifier
  `partSecondaryId` - part secondary identifier
Since:
  3.7